wok rev 24434

Add some current_version
author Pascal Bellard <pascal.bellard@slitaz.org>
date Sat Feb 12 19:02:42 2022 +0000 (7 months ago)
parents ad8b9ff412d2
children 5f0a41dd58c1
files ecryptfs-utils/receipt elementaryicons/receipt granite/receipt gtk3-engine-unico/receipt gtkhotkey/receipt intltool/receipt libdesktop-agnostic/receipt libzeitgeist/receipt lightdm-gtk2-greeter/receipt lightdm-gtk3-greeter/receipt lightdm-qt/receipt lightdm/receipt linuxdcpp/receipt loqui/receipt pyneighborhood/receipt python-pyexiv2/receipt qpdfview/receipt screenlets/receipt steadyflow/receipt ufw/receipt usbmanager/receipt xpad/receipt
line diff
     1.1 --- a/ecryptfs-utils/receipt	Sat Feb 12 18:42:31 2022 +0000
     1.2 +++ b/ecryptfs-utils/receipt	Sat Feb 12 19:02:42 2022 +0000
     1.3 @@ -14,6 +14,13 @@
     1.4  DEPENDS="keyutils nss python"
     1.5  BUILD_DEPENDS="keyutils-dev nss-dev python-dev"
     1.6  
     1.7 +# What is the latest version available today?
     1.8 +current_version()
     1.9 +{
    1.10 +	wget -O - $WEB_SITE 2>/dev/null | \
    1.11 +	sed '/Latest version is/!d;s|.*is ||'
    1.12 +}
    1.13 +
    1.14  # Rules to configure and make the package.
    1.15  compile_rules()
    1.16  {
    1.17 @@ -25,12 +32,6 @@
    1.18  	make DESTDIR=$DESTDIR install
    1.19  }
    1.20  
    1.21 -current_version()
    1.22 -{
    1.23 -	wget -O - $WEB_SITE 2>/dev/null | \
    1.24 -	sed '/Latest version is/!d;s|.*is ||'
    1.25 -}
    1.26 -
    1.27  # Rules to gen a SliTaz package suitable for Tazpkg.
    1.28  genpkg_rules()
    1.29  {
     2.1 --- a/elementaryicons/receipt	Sat Feb 12 18:42:31 2022 +0000
     2.2 +++ b/elementaryicons/receipt	Sat Feb 12 19:02:42 2022 +0000
     2.3 @@ -13,6 +13,13 @@
     2.4  DEPENDS=""
     2.5  BUILD_DEPENDS="wget cacerts"
     2.6  
     2.7 +# What is the latest version available today?
     2.8 +current_version()
     2.9 +{
    2.10 +	wget -O - $WEB_SITE 2>/dev/null | \
    2.11 +	sed '/Latest version is/!d;s|.*is ||'
    2.12 +}
    2.13 +
    2.14  # Rules to configure and make the package.
    2.15  compile_rules()
    2.16  {
     3.1 --- a/granite/receipt	Sat Feb 12 18:42:31 2022 +0000
     3.2 +++ b/granite/receipt	Sat Feb 12 19:02:42 2022 +0000
     3.3 @@ -15,6 +15,13 @@
     3.4  BUILD_DEPENDS="bazaar cmake vala gtk+3-dev libgio-dev glib-dev libgee-dev \
     3.5  gobject-introspection-dev"
     3.6  
     3.7 +# What is the latest version available today?
     3.8 +current_version()
     3.9 +{
    3.10 +	wget -O - $WEB_SITE 2>/dev/null | \
    3.11 +	sed '/Latest version is/!d;s|.*is ||'
    3.12 +}
    3.13 +
    3.14  # Rules to configure and make the package.
    3.15  compile_rules()
    3.16  {
     4.1 --- a/gtk3-engine-unico/receipt	Sat Feb 12 18:42:31 2022 +0000
     4.2 +++ b/gtk3-engine-unico/receipt	Sat Feb 12 19:02:42 2022 +0000
     4.3 @@ -15,6 +15,13 @@
     4.4  DEPENDS="gtk+3"
     4.5  BUILD_DEPENDS="gtk+3-dev wget libxml2-dev"
     4.6  
     4.7 +# What is the latest version available today?
     4.8 +current_version()
     4.9 +{
    4.10 +	wget -O - $WEB_SITE 2>/dev/null | \
    4.11 +	sed '/Latest version is/!d;s|.*is ||'
    4.12 +}
    4.13 +
    4.14  # Rules to configure and make the package.
    4.15  compile_rules()
    4.16  {
     5.1 --- a/gtkhotkey/receipt	Sat Feb 12 18:42:31 2022 +0000
     5.2 +++ b/gtkhotkey/receipt	Sat Feb 12 19:02:42 2022 +0000
     5.3 @@ -13,6 +13,13 @@
     5.4  DEPENDS="glib libgio gtk+"
     5.5  BUILD_DEPENDS="wget glib-dev libgio-dev gtk+-dev"
     5.6  
     5.7 +# What is the latest version available today?
     5.8 +current_version()
     5.9 +{
    5.10 +	wget -O - $WEB_SITE 2>/dev/null | \
    5.11 +	sed '/Latest version is/!d;s|.*is ||'
    5.12 +}
    5.13 +
    5.14  # Rules to configure and make the package.
    5.15  compile_rules()
    5.16  {
     6.1 --- a/intltool/receipt	Sat Feb 12 18:42:31 2022 +0000
     6.2 +++ b/intltool/receipt	Sat Feb 12 19:02:42 2022 +0000
     6.3 @@ -15,6 +15,13 @@
     6.4  BUILD_DEPENDS="perl perl-xml-parser"
     6.5  HOST_ARCH="i486 arm"
     6.6  
     6.7 +# What is the latest version available today?
     6.8 +current_version()
     6.9 +{
    6.10 +	wget -O - $WEB_SITE 2>/dev/null | \
    6.11 +	sed '/Latest version is/!d;s|.*is ||'
    6.12 +}
    6.13 +
    6.14  # Rules to configure and make the package.
    6.15  compile_rules()
    6.16  {
     7.1 --- a/libdesktop-agnostic/receipt	Sat Feb 12 18:42:31 2022 +0000
     7.2 +++ b/libdesktop-agnostic/receipt	Sat Feb 12 19:02:42 2022 +0000
     7.3 @@ -14,6 +14,13 @@
     7.4  BUILD_DEPENDS="$DEPENDS python python-dev pygtk-dev glib-dev vala \
     7.5  gobject-introspection-dev pygobject-dev GConf-dev wget"
     7.6  
     7.7 +# What is the latest version available today?
     7.8 +current_version()
     7.9 +{
    7.10 +	wget -O - $WEB_SITE 2>/dev/null | \
    7.11 +	sed '/Latest version is/!d;s|.*is ||'
    7.12 +}
    7.13 +
    7.14  # Rules to configure and make the package.
    7.15  compile_rules()
    7.16  {
     8.1 --- a/libzeitgeist/receipt	Sat Feb 12 18:42:31 2022 +0000
     8.2 +++ b/libzeitgeist/receipt	Sat Feb 12 19:02:42 2022 +0000
     8.3 @@ -16,6 +16,13 @@
     8.4  DEPENDS="libgio"
     8.5  BUILD_DEPENDS="wget glib-dev"
     8.6  
     8.7 +# What is the latest version available today?
     8.8 +current_version()
     8.9 +{
    8.10 +	wget -O - $WEB_SITE 2>/dev/null | \
    8.11 +	sed '/Latest version is/!d;s|.*is ||'
    8.12 +}
    8.13 +
    8.14  # Rules to configure and make the package.
    8.15  compile_rules()
    8.16  {
     9.1 --- a/lightdm-gtk2-greeter/receipt	Sat Feb 12 18:42:31 2022 +0000
     9.2 +++ b/lightdm-gtk2-greeter/receipt	Sat Feb 12 19:02:42 2022 +0000
     9.3 @@ -15,6 +15,13 @@
     9.4  BUILD_DEPENDS="gobject-introspection-dev gtk+-dev lightdm-dev libxklavier-dev \
     9.5  wget"
     9.6  
     9.7 +# What is the latest version available today?
     9.8 +current_version()
     9.9 +{
    9.10 +	wget -O - $WEB_SITE 2>/dev/null | \
    9.11 +	sed '/Latest version is/!d;s|.*is ||'
    9.12 +}
    9.13 +
    9.14  # Rules to configure and make the package.
    9.15  compile_rules()
    9.16  {
    10.1 --- a/lightdm-gtk3-greeter/receipt	Sat Feb 12 18:42:31 2022 +0000
    10.2 +++ b/lightdm-gtk3-greeter/receipt	Sat Feb 12 19:02:42 2022 +0000
    10.3 @@ -15,6 +15,13 @@
    10.4  BUILD_DEPENDS="gobject-introspection-dev gtk+3-dev lightdm-dev libxklavier-dev \
    10.5  wget"
    10.6  
    10.7 +# What is the latest version available today?
    10.8 +current_version()
    10.9 +{
   10.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   10.11 +	sed '/Latest version is/!d;s|.*is ||'
   10.12 +}
   10.13 +
   10.14  # Rules to configure and make the package.
   10.15  compile_rules()
   10.16  {
    11.1 --- a/lightdm-qt/receipt	Sat Feb 12 18:42:31 2022 +0000
    11.2 +++ b/lightdm-qt/receipt	Sat Feb 12 19:02:42 2022 +0000
    11.3 @@ -19,6 +19,13 @@
    11.4  libgcrypt-dev wget xorg-libXdmcp-dev xorg-libX11-dev xorg-libXi-dev \
    11.5  xorg-libxkbfile-dev"
    11.6  
    11.7 +# What is the latest version available today?
    11.8 +current_version()
    11.9 +{
   11.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   11.11 +	sed '/Latest version is/!d;s|.*is ||'
   11.12 +}
   11.13 +
   11.14  # Rules to configure and make the package.
   11.15  compile_rules()
   11.16  {
    12.1 --- a/lightdm/receipt	Sat Feb 12 18:42:31 2022 +0000
    12.2 +++ b/lightdm/receipt	Sat Feb 12 19:02:42 2022 +0000
    12.3 @@ -17,6 +17,13 @@
    12.4  BUILD_DEPENDS="gobject-introspection-dev pam-dev itstool libxklavier-dev \
    12.5  libgcrypt-dev wget"
    12.6  
    12.7 +# What is the latest version available today?
    12.8 +current_version()
    12.9 +{
   12.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   12.11 +	sed '/Latest version is/!d;s|.*is ||'
   12.12 +}
   12.13 +
   12.14  # Rules to configure and make the package.
   12.15  compile_rules()
   12.16  {
    13.1 --- a/linuxdcpp/receipt	Sat Feb 12 18:42:31 2022 +0000
    13.2 +++ b/linuxdcpp/receipt	Sat Feb 12 19:02:42 2022 +0000
    13.3 @@ -11,6 +11,14 @@
    13.4  TARBALL="$PACKAGE-$VERSION.tar.bz2"
    13.5  WEB_SITE="https://launchpad.net/linuxdcpp"
    13.6  WGET_URL="http://mirror.slitaz.org/sources/packages/l/$TARBALL"
    13.7 +
    13.8 +# What is the latest version available today?
    13.9 +current_version()
   13.10 +{
   13.11 +	wget -O - $WEB_SITE 2>/dev/null | \
   13.12 +	sed '/Latest version is/!d;s|.*is ||'
   13.13 +}
   13.14 +
   13.15  # Rules to configure and make the package.
   13.16  compile_rules()
   13.17  {
    14.1 --- a/loqui/receipt	Sat Feb 12 18:42:31 2022 +0000
    14.2 +++ b/loqui/receipt	Sat Feb 12 19:02:42 2022 +0000
    14.3 @@ -14,6 +14,13 @@
    14.4  DEPENDS="gtk+"
    14.5  BUILD_DEPENDS="gtk+-dev"
    14.6  
    14.7 +# What is the latest version available today?
    14.8 +current_version()
    14.9 +{
   14.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   14.11 +	sed '/Latest version is/!d;s|.*is ||'
   14.12 +}
   14.13 +
   14.14  # Rules to configure and make the package.
   14.15  compile_rules()
   14.16  {
    15.1 --- a/pyneighborhood/receipt	Sat Feb 12 18:42:31 2022 +0000
    15.2 +++ b/pyneighborhood/receipt	Sat Feb 12 19:02:42 2022 +0000
    15.3 @@ -13,6 +13,13 @@
    15.4  DEPENDS="python pygtk samba"
    15.5  BUILD_DEPENDS="python python-dev gettext wget"
    15.6  
    15.7 +# What is the latest version available today?
    15.8 +current_version()
    15.9 +{
   15.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   15.11 +	sed '/Latest version is/!d;s|.*is ||'
   15.12 +}
   15.13 +
   15.14  # Rules to configure and make the package.
   15.15  compile_rules()
   15.16  {
    16.1 --- a/python-pyexiv2/receipt	Sat Feb 12 18:42:31 2022 +0000
    16.2 +++ b/python-pyexiv2/receipt	Sat Feb 12 19:02:42 2022 +0000
    16.3 @@ -14,6 +14,13 @@
    16.4  DEPENDS="python exiv2 libboost-python"
    16.5  BUILD_DEPENDS="python wget scons exiv2-dev libboost-python-dev"
    16.6  
    16.7 +# What is the latest version available today?
    16.8 +current_version()
    16.9 +{
   16.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   16.11 +	sed '/Latest version is/!d;s|.*is ||'
   16.12 +}
   16.13 +
   16.14  # Rules to configure and make the package.
   16.15  compile_rules()
   16.16  {
    17.1 --- a/qpdfview/receipt	Sat Feb 12 18:42:31 2022 +0000
    17.2 +++ b/qpdfview/receipt	Sat Feb 12 19:02:42 2022 +0000
    17.3 @@ -17,6 +17,13 @@
    17.4  BUILD_DEPENDS="cups-dev djvulibre-dev libmagic-dev libspectre-dev \
    17.5  	poppler-dev poppler-qt4 poppler-qt4-dev qmake Qt4-dev wget zlib-dev"
    17.6  
    17.7 +# What is the latest version available today?
    17.8 +current_version()
    17.9 +{
   17.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   17.11 +	sed '/Latest version is/!d;s|.*is ||'
   17.12 +}
   17.13 +
   17.14  # Rules to configure and make the package.
   17.15  compile_rules()
   17.16  {
    18.1 --- a/screenlets/receipt	Sat Feb 12 18:42:31 2022 +0000
    18.2 +++ b/screenlets/receipt	Sat Feb 12 19:02:42 2022 +0000
    18.3 @@ -15,6 +15,13 @@
    18.4  	pygtk python python-xdg gdk-pixbuf"
    18.5  BUILD_DEPENDS="python-dev"
    18.6  
    18.7 +# What is the latest version available today?
    18.8 +current_version()
    18.9 +{
   18.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   18.11 +	sed '/Latest version is/!d;s|.*is ||'
   18.12 +}
   18.13 +
   18.14  # Rules to configure and make the package.
   18.15  compile_rules()
   18.16  {
    19.1 --- a/steadyflow/receipt	Sat Feb 12 18:42:31 2022 +0000
    19.2 +++ b/steadyflow/receipt	Sat Feb 12 19:02:42 2022 +0000
    19.3 @@ -16,6 +16,13 @@
    19.4  
    19.5  BUGS="Not able to download anything. Gnome-VFS error?"
    19.6  
    19.7 +# What is the latest version available today?
    19.8 +current_version()
    19.9 +{
   19.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   19.11 +	sed '/Latest version is/!d;s|.*is ||'
   19.12 +}
   19.13 +
   19.14  # Rules to configure and make the package.
   19.15  compile_rules()
   19.16  {
    20.1 --- a/ufw/receipt	Sat Feb 12 18:42:31 2022 +0000
    20.2 +++ b/ufw/receipt	Sat Feb 12 19:02:42 2022 +0000
    20.3 @@ -15,6 +15,13 @@
    20.4  DEPENDS="python iptables"
    20.5  BUILD_DEPENDS="python iptables"
    20.6  
    20.7 +# What is the latest version available today?
    20.8 +current_version()
    20.9 +{
   20.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   20.11 +	sed '/Latest version is/!d;s|.*is ||'
   20.12 +}
   20.13 +
   20.14  # Rules to configure and make the package.
   20.15  compile_rules()
   20.16  {
    21.1 --- a/usbmanager/receipt	Sat Feb 12 18:42:31 2022 +0000
    21.2 +++ b/usbmanager/receipt	Sat Feb 12 19:02:42 2022 +0000
    21.3 @@ -14,6 +14,13 @@
    21.4  util-linux-whereis util-linux-mkfs mtools"
    21.5  BUILD_DEPENDS="python wget"
    21.6  
    21.7 +# What is the latest version available today?
    21.8 +current_version()
    21.9 +{
   21.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   21.11 +	sed '/Latest version is/!d;s|.*is ||'
   21.12 +}
   21.13 +
   21.14  # Rules to configure and make the package.
   21.15  compile_rules()
   21.16  {
    22.1 --- a/xpad/receipt	Sat Feb 12 18:42:31 2022 +0000
    22.2 +++ b/xpad/receipt	Sat Feb 12 19:02:42 2022 +0000
    22.3 @@ -15,6 +15,13 @@
    22.4  BUILD_DEPENDS="gtk+-dev xorg-libSM-dev wget"
    22.5  GENERIC_PIXMAPS="no"
    22.6  
    22.7 +# What is the latest version available today?
    22.8 +current_version()
    22.9 +{
   22.10 +	wget -O - $WEB_SITE 2>/dev/null | \
   22.11 +	sed '/Latest version is/!d;s|.*is ||'
   22.12 +}
   22.13 +
   22.14  # Rules to configure and make the package.
   22.15  compile_rules()
   22.16  {